Package heasarc.db.votable

# Class StreamToJava

java.lang.Object
heasarc.db.votable.StreamToJava

public class StreamToJava extends Object

## Constructor Summary

Constructors
Constructor
Description
`StreamToJava(InputStream input)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addColumn(String type, String array, String nullValue)`
Add a description o fone of the columns in the table
`Object`
`arrayColumn(String arr, String type)`
`Object`
`getStreamColumn(String arr, String type)`
`Boolean`
`readBoolean()`
`List<List<Object>>`
`readTable()`
Parse the table into a list of lists.
`Object`
`scalarColumn(String type)`
`String`
`stringColumn(String arr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StreamToJava

public StreamToJava(InputStream input)

## Method Details

### addColumn

public void addColumn(String type, String array, String nullValue)
Add a description o fone of the columns in the table

### readTable

public List<List<Object>> readTable() throws IOException
Parse the table into a list of lists.

Throws:
  `IOException`

### getStreamColumn

public Object getStreamColumn(String arr, String type) throws IOException

Throws:
  `IOException`

### stringColumn

public String stringColumn(String arr) throws IOException

Throws:
  `IOException`

### scalarColumn

public Object scalarColumn(String type) throws IOException

Throws:
  `IOException`

### readBoolean

public Boolean readBoolean() throws IOException

Throws:
  `IOException`

### arrayColumn

public Object arrayColumn(String arr, String type) throws IOException

Throws:
  `IOException`